UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMXSPAttributes Class Reference

## Public Member Functions
| LBMXSPAttributes () throws LBMException
void | dispose ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
void | setZeroTransportsCallback (LBMZeroTransportsCallback cb)
void | setZeroTransportsCallback (LBMZeroTransportsCallback cb, Object cbArg)

## Protected Member Functions
void | finalize ()

## Detailed Description

Encapsulates the set of default XSP attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMXSPAttributes.LBMXSPAttributes | ( |  | ) | throws LBMException

Create and fill an LBMXSPAttributes object with the current default values

Exceptions

  LBMException |

## Member Function Documentation

void com.latencybusters.lbm.LBMXSPAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMXSPAttributes.finalize().

void com.latencybusters.lbm.LBMXSPAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMXSPAttributes.dispose().

String com.latencybusters.lbm.LBMXSPAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of XSP attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMXSPAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of XSP attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

void com.latencybusters.lbm.LBMXSPAttributes.setZeroTransportsCallback | ( | LBMZeroTransportsCallback | cb | ) |

Set the XSP's zero transports callback.

Parameters

  cb | An object implementing the LBMZeroTransportsCallback interface.

void com.latencybusters.lbm.LBMXSPAttributes.setZeroTransportsCallback | ( | LBMZeroTransportsCallback | cb,
|  | Object | cbArg
| ) |  |

Set the XSP's zero transports callback.

Parameters

  cb | An object implementing the LBMZeroTransportsCallback interface.
  cbArg | A user-supplied callback object to be passed back in the zero transports callback.

The documentation for this class was generated from the following file:

- LBMXSPAttributes.java